Bug 1121294

Summary: [abrt] control-center: g_type_check_instance_is_fundamentally_a(): gnome-control-center killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Jeremy Rimpo <jrimpo>
Component: control-centerAssignee: Control Center Maintainer <control-center-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: amigadave, control-center-maint, fmuellner, jrimpo, mkasik, ofourdan, oholy, robatino, rstrode, tiagomatos, tigert
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/6bc678552bfc1981f22a6205773c8c6b9b5363a6
Whiteboard: abrt_hash:28c107302b8e7faee3598e56d13f61c9730b8b83
Fixed In Version: aisleriot-3.14.1-1.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-20 16:39:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1133394    
Bug Blocks: 1043129    
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages
none
Manual backtrace of crashing control-center
none
Cheese backtrace none

Description Jeremy Rimpo 2014-07-18 22:41:48 UTC
Description of problem:
Open gnome settings
Go to Users
Select user image to change it
Select "Take a photo..."
Take the photo
Crash

Version-Release number of selected component:
control-center-3.13.3-3.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-control-center
kernel:         3.16.0-0.rc5.git1.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at /lib64/libgobject-2.0.so.0
 #2 um_crop_area_set_picture at /lib64/libcheese-gtk.so.23
 #3 cheese_widget_photo_taken_cb at /lib64/libcheese-gtk.so.23
 #4 g_cclosure_marshal_VOID__OBJECTv at /lib64/libgobject-2.0.so.0
 #5 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #8 cheese_camera_bus_message_cb at /lib64/libcheese.so.7
 #9 g_cclosure_marshal_VOID__BOXEDv at /lib64/libgobject-2.0.so.0
 #10 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #13 gst_bus_async_signal_func at /lib64/libgstreamer-1.0.so.0
 #14 gst_bus_source_dispatch at /lib64/libgstreamer-1.0.so.0

Comment 1 Jeremy Rimpo 2014-07-18 22:41:51 UTC
Created attachment 919199 [details]
File: backtrace

Comment 2 Jeremy Rimpo 2014-07-18 22:41:52 UTC
Created attachment 919200 [details]
File: cgroup

Comment 3 Jeremy Rimpo 2014-07-18 22:41:52 UTC
Created attachment 919201 [details]
File: core_backtrace

Comment 4 Jeremy Rimpo 2014-07-18 22:41:53 UTC
Created attachment 919202 [details]
File: dso_list

Comment 5 Jeremy Rimpo 2014-07-18 22:41:54 UTC
Created attachment 919203 [details]
File: environ

Comment 6 Jeremy Rimpo 2014-07-18 22:41:55 UTC
Created attachment 919204 [details]
File: exploitable

Comment 7 Jeremy Rimpo 2014-07-18 22:41:55 UTC
Created attachment 919205 [details]
File: limits

Comment 8 Jeremy Rimpo 2014-07-18 22:41:56 UTC
Created attachment 919206 [details]
File: maps

Comment 9 Jeremy Rimpo 2014-07-18 22:41:57 UTC
Created attachment 919207 [details]
File: open_fds

Comment 10 Jeremy Rimpo 2014-07-18 22:41:58 UTC
Created attachment 919208 [details]
File: proc_pid_status

Comment 11 Jeremy Rimpo 2014-07-18 22:41:58 UTC
Created attachment 919209 [details]
File: var_log_messages

Comment 12 Jeremy Rimpo 2014-09-08 15:16:46 UTC
As the control center is a default part of the installation, wouldn't this qualify as a blocking bug? I've just re-checked the issue and it still exists. On the plus side, fixing this will most likely also fix the issue with cheese, as I believe it stems in the cheese-libs package - or a dependency of.

Comment 13 David King 2014-10-15 14:44:06 UTC
*** Bug 1150420 has been marked as a duplicate of this bug. ***

Comment 14 David King 2014-10-15 14:46:11 UTC
The upstream control center fix will be in 3.14.2, and has been added to control-center-3.14.1-2.fc21 (and the corresponding Rawhide version).

Comment 15 Ondrej Holy 2014-10-15 14:58:12 UTC
*** Bug 1140303 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2014-10-15 16:41:01 UTC
aisleriot-3.14.1-1.fc21, appstream-data-21-15.fc21, at-spi2-atk-2.14.1-1.fc21, baobab-3.14.1-1.fc21, bijiben-3.14.1-1.fc21, cheese-3.14.1-1.fc21, control-center-3.14.1-2.fc21, empathy-3.12.7-1.fc21, eog-3.14.1-1.fc21, epiphany-3.14.1-1.fc21, evince-3.14.1-1.fc21, file-roller-3.14.1-1.fc21, five-or-more-3.14.1-1.fc21, four-in-a-row-3.14.1-1.fc21, gdm-3.14.1-1.fc21, gnome-backgrounds-3.14.1-1.fc21, gnome-boxes-3.14.1.1-1.fc21, gnome-clocks-3.14.1-1.fc21, gnome-color-manager-3.14.1-1.fc21, gnome-contacts-3.14.1-1.fc21, gnome-desktop3-3.14.1-1.fc21, gnome-devel-docs-3.14.1-1.fc21, gnome-dictionary-3.14.1-1.fc21, gnome-getting-started-docs-3.14.1-1.fc21, gnome-initial-setup-3.14.1-1.fc21, gnome-klotski-3.14.1-1.fc21, gnome-logs-3.14.1-2.fc21, gnome-mahjongg-3.14.1-1.fc21, gnome-maps-3.14.1.2-1.fc21, gnome-mines-3.14.1-1.fc21, gnome-music-3.14.1-1.fc21, gnome-nibbles-3.14.1-1.fc21, gnome-power-manager-3.14.1-1.fc21, gnome-robots-3.14.1-1.fc21, gnome-settings-daemon-3.14.1-1.fc21, gnome-shell-3.14.1-1.fc21, gnome-shell-extensions-3.14.1-1.fc21, gnome-software-3.14.1-1.fc21, gnome-system-monitor-3.14.1-1.fc21, gnome-terminal-3.14.1-1.fc21, gnome-user-docs-3.14.1-1.fc21, gnome-weather-3.14.1-1.fc21, gtk2-2.24.25-1.fc21, gtk3-3.14.3-1.fc21, gtksourceview3-3.14.1-1.fc21, gucharmap-3.14.1-1.fc21, gvfs-1.22.1-2.fc21, iagno-3.14.1-1.fc21, ifuse-1.1.3-5.fc21, libgee-0.16.1-1.fc21, libgpod-0.8.3-6.fc21, libgweather-3.14.1-1.fc21, libimobiledevice-1.1.7-1.fc21, libplist-1.12-1.fc21, librsvg2-2.40.5-1.fc21, libusbmuxd-1.0.10-1.fc21, lightsoff-3.14.1-1.fc21, mutter-3.14.1-1.fc21, PackageKit-1.0.1-0.1.20141015.fc21, polari-3.14.1-1.fc21, upower-0.99.1-2.fc21, usbmuxd-1.0.9-1.fc21, vala-0.26.1-1.fc21, vinagre-3.14.1-1.fc21, vte291-0.38.1-1.fc21, webkitgtk4-2.6.1-1.fc21, yelp-3.14.1-1.fc21, yelp-tools-3.14.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/aisleriot-3.14.1-1.fc21,appstream-data-21-15.fc21,at-spi2-atk-2.14.1-1.fc21,baobab-3.14.1-1.fc21,bijiben-3.14.1-1.fc21,cheese-3.14.1-1.fc21,control-center-3.14.1-2.fc21,empathy-3.12.7-1.fc21,eog-3.14.1-1.fc21,epiphany-3.14.1-1.fc21,evince-3.14.1-1.fc21,file-roller-3.14.1-1.fc21,five-or-more-3.14.1-1.fc21,four-in-a-row-3.14.1-1.fc21,gdm-3.14.1-1.fc21,gnome-backgrounds-3.14.1-1.fc21,gnome-boxes-3.14.1.1-1.fc21,gnome-clocks-3.14.1-1.fc21,gnome-color-manager-3.14.1-1.fc21,gnome-contacts-3.14.1-1.fc21,gnome-desktop3-3.14.1-1.fc21,gnome-devel-docs-3.14.1-1.fc21,gnome-dictionary-3.14.1-1.fc21,gnome-getting-started-docs-3.14.1-1.fc21,gnome-initial-setup-3.14.1-1.fc21,gnome-klotski-3.14.1-1.fc21,gnome-logs-3.14.1-2.fc21,gnome-mahjongg-3.14.1-1.fc21,gnome-maps-3.14.1.2-1.fc21,gnome-mines-3.14.1-1.fc21,gnome-music-3.14.1-1.fc21,gnome-nibbles-3.14.1-1.fc21,gnome-power-manager-3.14.1-1.fc21,gnome-robots-3.14.1-1.fc21,gnome-settings-daemon-3.14.1-1.fc21,gnome-shell-3.14.1-1.fc21,gnome-shell-extensions-3.14.1-1.fc21,gnome-software-3.14.1-1.fc21,gnome-system-monitor-3.14.1-1.fc21,gnome-terminal-3.14.1-1.fc21,gnome-user-docs-3.14.1-1.fc21,gnome-weather-3.14.1-1.fc21,gtk2-2.24.25-1.fc21,gtk3-3.14.3-1.fc21,gtksourceview3-3.14.1-1.fc21,gucharmap-3.14.1-1.fc21,gvfs-1.22.1-2.fc21,iagno-3.14.1-1.fc21,ifuse-1.1.3-5.fc21,libgee-0.16.1-1.fc21,libgpod-0.8.3-6.fc21,libgweather-3.14.1-1.fc21,libimobiledevice-1.1.7-1.fc21,libplist-1.12-1.fc21,librsvg2-2.40.5-1.fc21,libusbmuxd-1.0.10-1.fc21,lightsoff-3.14.1-1.fc21,mutter-3.14.1-1.fc21,PackageKit-1.0.1-0.1.20141015.fc21,polari-3.14.1-1.fc21,upower-0.99.1-2.fc21,usbmuxd-1.0.9-1.fc21,vala-0.26.1-1.fc21,vinagre-3.14.1-1.fc21,vte291-0.38.1-1.fc21,webkitgtk4-2.6.1-1.fc21,yelp-3.14.1-1.fc21,yelp-tools-3.14.1-1.fc21

Comment 17 Fedora Update System 2014-10-16 17:20:31 UTC
Package aisleriot-3.14.1-1.fc21, appstream-data-21-15.fc21, at-spi2-atk-2.14.1-1.fc21, baobab-3.14.1-1.fc21, bijiben-3.14.1-1.fc21, cheese-3.14.1-1.fc21, control-center-3.14.1-2.fc21, empathy-3.12.7-1.fc21, eog-3.14.1-1.fc21, epiphany-3.14.1-1.fc21, evince-3.14.1-1.fc21, file-roller-3.14.1-1.fc21, five-or-more-3.14.1-1.fc21, four-in-a-row-3.14.1-1.fc21, gdm-3.14.1-1.fc21, gnome-backgrounds-3.14.1-1.fc21, gnome-boxes-3.14.1.1-1.fc21, gnome-clocks-3.14.1-1.fc21, gnome-color-manager-3.14.1-1.fc21, gnome-contacts-3.14.1-1.fc21, gnome-desktop3-3.14.1-1.fc21, gnome-devel-docs-3.14.1-1.fc21, gnome-dictionary-3.14.1-1.fc21, gnome-getting-started-docs-3.14.1-1.fc21, gnome-initial-setup-3.14.1-1.fc21, gnome-klotski-3.14.1-1.fc21, gnome-logs-3.14.1-2.fc21, gnome-mahjongg-3.14.1-1.fc21, gnome-maps-3.14.1.2-1.fc21, gnome-mines-3.14.1-1.fc21, gnome-music-3.14.1-1.fc21, gnome-nibbles-3.14.1-1.fc21, gnome-power-manager-3.14.1-1.fc21, gnome-robots-3.14.1-1.fc21, gnome-settings-daemon-3.14.1-1.fc21, gnome-shell-3.14.1-1.fc21, gnome-shell-extensions-3.14.1-1.fc21, gnome-software-3.14.1-1.fc21, gnome-system-monitor-3.14.1-1.fc21, gnome-terminal-3.14.1-1.fc21, gnome-user-docs-3.14.1-1.fc21, gnome-weather-3.14.1-1.fc21, gtk2-2.24.25-1.fc21, gtksourceview3-3.14.1-1.fc21, gucharmap-3.14.1-1.fc21, gvfs-1.22.1-2.fc21, iagno-3.14.1-1.fc21, ifuse-1.1.3-5.fc21, libgee-0.16.1-1.fc21, libgpod-0.8.3-6.fc21, libgweather-3.14.1-1.fc21, libimobiledevice-1.1.7-1.fc21, libplist-1.12-1.fc21, librsvg2-2.40.5-1.fc21, libusbmuxd-1.0.10-1.fc21, lightsoff-3.14.1-1.fc21, mutter-3.14.1-1.fc21, PackageKit-1.0.1-0.1.20141015.fc21, polari-3.14.1-1.fc21, upower-0.99.1-2.fc21, usbmuxd-1.0.9-1.fc21, vala-0.26.1-1.fc21, vinagre-3.14.1-1.fc21, vte291-0.38.1-1.fc21, webkitgtk4-2.6.1-1.fc21, yelp-3.14.1-1.fc21, yelp-tools-3.14.1-1.fc21, gnome-sudoku-3.14.1-1.fc21, gsettings-desktop-schemas-3.14.1-1.fc21, gnome-online-accounts-3.14.1-1.fc21, gtk3-3.14.3-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aisleriot-3.14.1-1.fc21 appstream-data-21-15.fc21 at-spi2-atk-2.14.1-1.fc21 baobab-3.14.1-1.fc21 bijiben-3.14.1-1.fc21 cheese-3.14.1-1.fc21 control-center-3.14.1-2.fc21 empathy-3.12.7-1.fc21 eog-3.14.1-1.fc21 epiphany-3.14.1-1.fc21 evince-3.14.1-1.fc21 file-roller-3.14.1-1.fc21 five-or-more-3.14.1-1.fc21 four-in-a-row-3.14.1-1.fc21 gdm-3.14.1-1.fc21 gnome-backgrounds-3.14.1-1.fc21 gnome-boxes-3.14.1.1-1.fc21 gnome-clocks-3.14.1-1.fc21 gnome-color-manager-3.14.1-1.fc21 gnome-contacts-3.14.1-1.fc21 gnome-desktop3-3.14.1-1.fc21 gnome-devel-docs-3.14.1-1.fc21 gnome-dictionary-3.14.1-1.fc21 gnome-getting-started-docs-3.14.1-1.fc21 gnome-initial-setup-3.14.1-1.fc21 gnome-klotski-3.14.1-1.fc21 gnome-logs-3.14.1-2.fc21 gnome-mahjongg-3.14.1-1.fc21 gnome-maps-3.14.1.2-1.fc21 gnome-mines-3.14.1-1.fc21 gnome-music-3.14.1-1.fc21 gnome-nibbles-3.14.1-1.fc21 gnome-power-manager-3.14.1-1.fc21 gnome-robots-3.14.1-1.fc21 gnome-settings-daemon-3.14.1-1.fc21 gnome-shell-3.14.1-1.fc21 gnome-shell-extensions-3.14.1-1.fc21 gnome-software-3.14.1-1.fc21 gnome-system-monitor-3.14.1-1.fc21 gnome-terminal-3.14.1-1.fc21 gnome-user-docs-3.14.1-1.fc21 gnome-weather-3.14.1-1.fc21 gtk2-2.24.25-1.fc21 gtksourceview3-3.14.1-1.fc21 gucharmap-3.14.1-1.fc21 gvfs-1.22.1-2.fc21 iagno-3.14.1-1.fc21 ifuse-1.1.3-5.fc21 libgee-0.16.1-1.fc21 libgpod-0.8.3-6.fc21 libgweather-3.14.1-1.fc21 libimobiledevice-1.1.7-1.fc21 libplist-1.12-1.fc21 librsvg2-2.40.5-1.fc21 libusbmuxd-1.0.10-1.fc21 lightsoff-3.14.1-1.fc21 mutter-3.14.1-1.fc21 PackageKit-1.0.1-0.1.20141015.fc21 polari-3.14.1-1.fc21 upower-0.99.1-2.fc21 usbmuxd-1.0.9-1.fc21 vala-0.26.1-1.fc21 vinagre-3.14.1-1.fc21 vte291-0.38.1-1.fc21 webkitgtk4-2.6.1-1.fc21 yelp-3.14.1-1.fc21 yelp-tools-3.14.1-1.fc21 gnome-sudoku-3.14.1-1.fc21 gsettings-desktop-schemas-3.14.1-1.fc21 gnome-online-accounts-3.14.1-1.fc21 gtk3-3.14.3-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12985/aisleriot-3.14.1-1.fc21,appstream-data-21-15.fc21,at-spi2-atk-2.14.1-1.fc21,baobab-3.14.1-1.fc21,bijiben-3.14.1-1.fc21,cheese-3.14.1-1.fc21,control-center-3.14.1-2.fc21,empathy-3.12.7-1.fc21,eog-3.14.1-1.fc21,epiphany-3.14.1-1.fc21,evince-3.14.1-1.fc21,file-roller-3.14.1-1.fc21,five-or-more-3.14.1-1.fc21,four-in-a-row-3.14.1-1.fc21,gdm-3.14.1-1.fc21,gnome-backgrounds-3.14.1-1.fc21,gnome-boxes-3.14.1.1-1.fc21,gnome-clocks-3.14.1-1.fc21,gnome-color-manager-3.14.1-1.fc21,gnome-contacts-3.14.1-1.fc21,gnome-desktop3-3.14.1-1.fc21,gnome-devel-docs-3.14.1-1.fc21,gnome-dictionary-3.14.1-1.fc21,gnome-getting-started-docs-3.14.1-1.fc21,gnome-initial-setup-3.14.1-1.fc21,gnome-klotski-3.14.1-1.fc21,gnome-logs-3.14.1-2.fc21,gnome-mahjongg-3.14.1-1.fc21,gnome-maps-3.14.1.2-1.fc21,gnome-mines-3.14.1-1.fc21,gnome-music-3.14.1-1.fc21,gnome-nibbles-3.14.1-1.fc21,gnome-power-manager-3.14.1-1.fc21,gnome-robots-3.14.1-1.fc21,gnome-settings-daemon-3.14.1-1.fc21,gnome-shell-3.14.1-1.fc21,gnome-shell-extensions-3.14.1-1.fc21,gnome-software-3.14.1-1.fc21,gnome-system-monitor-3.14.1-1.fc21,gnome-terminal-3.14.1-1.fc21,gnome-user-docs-3.14.1-1.fc21,gnome-weather-3.14.1-1.fc21,gtk2-2.24.25-1.fc21,gtk3-3.14.3-2.fc21,gtksourceview3-3.14.1-1.fc21,gucharmap-3.14.1-1.fc21,gvfs-1.22.1-2.fc21,iagno-3.14.1-1.fc21,ifuse-1.1.3-5.fc21,libgee-0.16.1-1.fc21,libgpod-0.8.3-6.fc21,libgweather-3.14.1-1.fc21,libimobiledevice-1.1.7-1.fc21,libplist-1.12-1.fc21,librsvg2-2.40.5-1.fc21,libusbmuxd-1.0.10-1.fc21,lightsoff-3.14.1-1.fc21,mutter-3.14.1-1.fc21,PackageKit-1.0.1-0.1.20141015.fc21,polari-3.14.1-1.fc21,upower-0.99.1-2.fc21,usbmuxd-1.0.9-1.fc21,vala-0.26.1-1.fc21,vinagre-3.14.1-1.fc21,vte291-0.38.1-1.fc21,webkitgtk4-2.6.1-1.fc21,yelp-3.14.1-1.fc21,yelp-tools-3.14.1-1.fc21,gnome-sudoku-3.14.1-1.fc21,gsettings-desktop-schemas-3.14.1-1.fc21,gnome-online-accounts-3.14.1-1.fc21
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2014-10-17 19:44:10 UTC
Package aisleriot-3.14.1-1.fc21, appstream-data-21-15.fc21, at-spi2-atk-2.14.1-1.fc21, baobab-3.14.1-1.fc21, bijiben-3.14.1-1.fc21, cheese-3.14.1-1.fc21, control-center-3.14.1-2.fc21, empathy-3.12.7-1.fc21, eog-3.14.1-1.fc21, epiphany-3.14.1-1.fc21, evince-3.14.1-1.fc21, file-roller-3.14.1-1.fc21, five-or-more-3.14.1-1.fc21, four-in-a-row-3.14.1-1.fc21, gdm-3.14.1-1.fc21, gnome-backgrounds-3.14.1-1.fc21, gnome-boxes-3.14.1.1-1.fc21, gnome-clocks-3.14.1-1.fc21, gnome-color-manager-3.14.1-1.fc21, gnome-contacts-3.14.1-1.fc21, gnome-desktop3-3.14.1-1.fc21, gnome-devel-docs-3.14.1-1.fc21, gnome-dictionary-3.14.1-1.fc21, gnome-getting-started-docs-3.14.1-1.fc21, gnome-initial-setup-3.14.1-1.fc21, gnome-klotski-3.14.1-1.fc21, gnome-logs-3.14.1-2.fc21, gnome-mahjongg-3.14.1-1.fc21, gnome-maps-3.14.1.2-1.fc21, gnome-mines-3.14.1-1.fc21, gnome-music-3.14.1-1.fc21, gnome-nibbles-3.14.1-1.fc21, gnome-power-manager-3.14.1-1.fc21, gnome-robots-3.14.1-1.fc21, gnome-settings-daemon-3.14.1-1.fc21, gnome-shell-3.14.1-1.fc21, gnome-shell-extensions-3.14.1-1.fc21, gnome-software-3.14.1-1.fc21, gnome-system-monitor-3.14.1-1.fc21, gnome-terminal-3.14.1-1.fc21, gnome-user-docs-3.14.1-1.fc21, gnome-weather-3.14.1-1.fc21, gtk2-2.24.25-1.fc21, gtksourceview3-3.14.1-1.fc21, gucharmap-3.14.1-1.fc21, gvfs-1.22.1-2.fc21, iagno-3.14.1-1.fc21, ifuse-1.1.3-5.fc21, libgee-0.16.1-1.fc21, libgpod-0.8.3-6.fc21, libgweather-3.14.1-1.fc21, libimobiledevice-1.1.7-1.fc21, libplist-1.12-1.fc21, librsvg2-2.40.5-1.fc21, libusbmuxd-1.0.10-1.fc21, lightsoff-3.14.1-1.fc21, mutter-3.14.1-1.fc21, PackageKit-1.0.1-0.1.20141015.fc21, polari-3.14.1-1.fc21, upower-0.99.1-2.fc21, vala-0.26.1-1.fc21, vinagre-3.14.1-1.fc21, vte291-0.38.1-1.fc21, webkitgtk4-2.6.1-1.fc21, yelp-3.14.1-1.fc21, yelp-tools-3.14.1-1.fc21, gnome-sudoku-3.14.1-1.fc21, gsettings-desktop-schemas-3.14.1-1.fc21, gnome-online-accounts-3.14.1-1.fc21, gtk3-3.14.3-2.fc21, usbmuxd-1.0.9-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aisleriot-3.14.1-1.fc21 appstream-data-21-15.fc21 at-spi2-atk-2.14.1-1.fc21 baobab-3.14.1-1.fc21 bijiben-3.14.1-1.fc21 cheese-3.14.1-1.fc21 control-center-3.14.1-2.fc21 empathy-3.12.7-1.fc21 eog-3.14.1-1.fc21 epiphany-3.14.1-1.fc21 evince-3.14.1-1.fc21 file-roller-3.14.1-1.fc21 five-or-more-3.14.1-1.fc21 four-in-a-row-3.14.1-1.fc21 gdm-3.14.1-1.fc21 gnome-backgrounds-3.14.1-1.fc21 gnome-boxes-3.14.1.1-1.fc21 gnome-clocks-3.14.1-1.fc21 gnome-color-manager-3.14.1-1.fc21 gnome-contacts-3.14.1-1.fc21 gnome-desktop3-3.14.1-1.fc21 gnome-devel-docs-3.14.1-1.fc21 gnome-dictionary-3.14.1-1.fc21 gnome-getting-started-docs-3.14.1-1.fc21 gnome-initial-setup-3.14.1-1.fc21 gnome-klotski-3.14.1-1.fc21 gnome-logs-3.14.1-2.fc21 gnome-mahjongg-3.14.1-1.fc21 gnome-maps-3.14.1.2-1.fc21 gnome-mines-3.14.1-1.fc21 gnome-music-3.14.1-1.fc21 gnome-nibbles-3.14.1-1.fc21 gnome-power-manager-3.14.1-1.fc21 gnome-robots-3.14.1-1.fc21 gnome-settings-daemon-3.14.1-1.fc21 gnome-shell-3.14.1-1.fc21 gnome-shell-extensions-3.14.1-1.fc21 gnome-software-3.14.1-1.fc21 gnome-system-monitor-3.14.1-1.fc21 gnome-terminal-3.14.1-1.fc21 gnome-user-docs-3.14.1-1.fc21 gnome-weather-3.14.1-1.fc21 gtk2-2.24.25-1.fc21 gtksourceview3-3.14.1-1.fc21 gucharmap-3.14.1-1.fc21 gvfs-1.22.1-2.fc21 iagno-3.14.1-1.fc21 ifuse-1.1.3-5.fc21 libgee-0.16.1-1.fc21 libgpod-0.8.3-6.fc21 libgweather-3.14.1-1.fc21 libimobiledevice-1.1.7-1.fc21 libplist-1.12-1.fc21 librsvg2-2.40.5-1.fc21 libusbmuxd-1.0.10-1.fc21 lightsoff-3.14.1-1.fc21 mutter-3.14.1-1.fc21 PackageKit-1.0.1-0.1.20141015.fc21 polari-3.14.1-1.fc21 upower-0.99.1-2.fc21 vala-0.26.1-1.fc21 vinagre-3.14.1-1.fc21 vte291-0.38.1-1.fc21 webkitgtk4-2.6.1-1.fc21 yelp-3.14.1-1.fc21 yelp-tools-3.14.1-1.fc21 gnome-sudoku-3.14.1-1.fc21 gsettings-desktop-schemas-3.14.1-1.fc21 gnome-online-accounts-3.14.1-1.fc21 gtk3-3.14.3-2.fc21 usbmuxd-1.0.9-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12985/aisleriot-3.14.1-1.fc21,appstream-data-21-15.fc21,at-spi2-atk-2.14.1-1.fc21,baobab-3.14.1-1.fc21,bijiben-3.14.1-1.fc21,cheese-3.14.1-1.fc21,control-center-3.14.1-2.fc21,empathy-3.12.7-1.fc21,eog-3.14.1-1.fc21,epiphany-3.14.1-1.fc21,evince-3.14.1-1.fc21,file-roller-3.14.1-1.fc21,five-or-more-3.14.1-1.fc21,four-in-a-row-3.14.1-1.fc21,gdm-3.14.1-1.fc21,gnome-backgrounds-3.14.1-1.fc21,gnome-boxes-3.14.1.1-1.fc21,gnome-clocks-3.14.1-1.fc21,gnome-color-manager-3.14.1-1.fc21,gnome-contacts-3.14.1-1.fc21,gnome-desktop3-3.14.1-1.fc21,gnome-devel-docs-3.14.1-1.fc21,gnome-dictionary-3.14.1-1.fc21,gnome-getting-started-docs-3.14.1-1.fc21,gnome-initial-setup-3.14.1-1.fc21,gnome-klotski-3.14.1-1.fc21,gnome-logs-3.14.1-2.fc21,gnome-mahjongg-3.14.1-1.fc21,gnome-maps-3.14.1.2-1.fc21,gnome-mines-3.14.1-1.fc21,gnome-music-3.14.1-1.fc21,gnome-nibbles-3.14.1-1.fc21,gnome-power-manager-3.14.1-1.fc21,gnome-robots-3.14.1-1.fc21,gnome-settings-daemon-3.14.1-1.fc21,gnome-shell-3.14.1-1.fc21,gnome-shell-extensions-3.14.1-1.fc21,gnome-software-3.14.1-1.fc21,gnome-system-monitor-3.14.1-1.fc21,gnome-terminal-3.14.1-1.fc21,gnome-user-docs-3.14.1-1.fc21,gnome-weather-3.14.1-1.fc21,gtk2-2.24.25-1.fc21,gtk3-3.14.3-2.fc21,gtksourceview3-3.14.1-1.fc21,gucharmap-3.14.1-1.fc21,gvfs-1.22.1-2.fc21,iagno-3.14.1-1.fc21,ifuse-1.1.3-5.fc21,libgee-0.16.1-1.fc21,libgpod-0.8.3-6.fc21,libgweather-3.14.1-1.fc21,libimobiledevice-1.1.7-1.fc21,libplist-1.12-1.fc21,librsvg2-2.40.5-1.fc21,libusbmuxd-1.0.10-1.fc21,lightsoff-3.14.1-1.fc21,mutter-3.14.1-1.fc21,PackageKit-1.0.1-0.1.20141015.fc21,polari-3.14.1-1.fc21,upower-0.99.1-2.fc21,usbmuxd-1.0.9-3.fc21,vala-0.26.1-1.fc21,vinagre-3.14.1-1.fc21,vte291-0.38.1-1.fc21,webkitgtk4-2.6.1-1.fc21,yelp-3.14.1-1.fc21,yelp-tools-3.14.1-1.fc21,gnome-sudoku-3.14.1-1.fc21,gsettings-desktop-schemas-3.14.1-1.fc21,gnome-online-accounts-3.14.1-1.fc21
then log in and leave karma (feedback).

Comment 19 Jeremy Rimpo 2014-10-17 19:54:53 UTC
I don't currently have a working system on the laptop where I first discovered the problem. Started with the microcode_ctl update and now I can't do a direct install due to an anaconda/python-blivet bug that's being worked on. With any luck this will be sorted soon, and I'll be able to check on it.

Comment 20 Jeremy Rimpo 2014-10-18 17:50:41 UTC
Finally with a working 21 again - though the nouveau drivers have issues with the current kernel apparently. Unfortunately, things seem to have gotten worse. Both cheese and control-center are now crashing as soon as the camera turns on. I'm working on generating a bug report now.

Comment 21 Jeremy Rimpo 2014-10-18 19:47:22 UTC
Created attachment 948140 [details]
Manual backtrace of crashing control-center

I had to perform a manual backtrace to get output. Hopefully this helps. This is the crash caused by gnome-control-center.

Comment 22 Jeremy Rimpo 2014-10-18 19:48:50 UTC
Created attachment 948141 [details]
Cheese backtrace

Here is a manual backtrace of cheese - crashing in a similar manner

Comment 23 Ondrej Holy 2014-10-20 15:45:05 UTC
With current g-c-c and cheese it works for me correctly. Are you sure you are using recent version?

Seems to me there is nothing useful in the backtrace. You have to get the trace of gnome-control-center when program crashed, please run:

$ gdb --args gnome-control-center user-accounts 2>&1 | tee debug.log
$ run
**reproduce the crash**
$ backtrace full
$ quit

and please attach the "debug.log" file.

Comment 24 Fedora Update System 2014-10-20 16:39:28 UTC
aisleriot-3.14.1-1.fc21, appstream-data-21-15.fc21, at-spi2-atk-2.14.1-1.fc21, baobab-3.14.1-1.fc21, bijiben-3.14.1-1.fc21, cheese-3.14.1-1.fc21, control-center-3.14.1-2.fc21, empathy-3.12.7-1.fc21, eog-3.14.1-1.fc21, epiphany-3.14.1-1.fc21, evince-3.14.1-1.fc21, file-roller-3.14.1-1.fc21, five-or-more-3.14.1-1.fc21, four-in-a-row-3.14.1-1.fc21, gdm-3.14.1-1.fc21, gnome-backgrounds-3.14.1-1.fc21, gnome-boxes-3.14.1.1-1.fc21, gnome-clocks-3.14.1-1.fc21, gnome-color-manager-3.14.1-1.fc21, gnome-contacts-3.14.1-1.fc21, gnome-desktop3-3.14.1-1.fc21, gnome-devel-docs-3.14.1-1.fc21, gnome-dictionary-3.14.1-1.fc21, gnome-getting-started-docs-3.14.1-1.fc21, gnome-initial-setup-3.14.1-1.fc21, gnome-klotski-3.14.1-1.fc21, gnome-logs-3.14.1-2.fc21, gnome-mahjongg-3.14.1-1.fc21, gnome-maps-3.14.1.2-1.fc21, gnome-mines-3.14.1-1.fc21, gnome-music-3.14.1-1.fc21, gnome-nibbles-3.14.1-1.fc21, gnome-power-manager-3.14.1-1.fc21, gnome-robots-3.14.1-1.fc21, gnome-settings-daemon-3.14.1-1.fc21, gnome-shell-3.14.1-1.fc21, gnome-shell-extensions-3.14.1-1.fc21, gnome-software-3.14.1-1.fc21, gnome-system-monitor-3.14.1-1.fc21, gnome-terminal-3.14.1-1.fc21, gnome-user-docs-3.14.1-1.fc21, gnome-weather-3.14.1-1.fc21, gtk2-2.24.25-1.fc21, gtksourceview3-3.14.1-1.fc21, gucharmap-3.14.1-1.fc21, gvfs-1.22.1-2.fc21, iagno-3.14.1-1.fc21, ifuse-1.1.3-5.fc21, libgee-0.16.1-1.fc21, libgpod-0.8.3-6.fc21, libgweather-3.14.1-1.fc21, libimobiledevice-1.1.7-1.fc21, libplist-1.12-1.fc21, librsvg2-2.40.5-1.fc21, libusbmuxd-1.0.10-1.fc21, lightsoff-3.14.1-1.fc21, mutter-3.14.1-1.fc21, PackageKit-1.0.1-0.1.20141015.fc21, polari-3.14.1-1.fc21, upower-0.99.1-2.fc21, vala-0.26.1-1.fc21, vinagre-3.14.1-1.fc21, vte291-0.38.1-1.fc21, webkitgtk4-2.6.1-1.fc21, yelp-3.14.1-1.fc21, yelp-tools-3.14.1-1.fc21, gnome-sudoku-3.14.1-1.fc21, gsettings-desktop-schemas-3.14.1-1.fc21, gnome-online-accounts-3.14.1-1.fc21, gtk3-3.14.3-2.fc21, usbmuxd-1.0.9-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Jeremy Rimpo 2014-10-20 17:03:01 UTC
I've opened a new issue for my current issue, which may be kernel-related. Bug#1154745

There seem to be missing debuginfo packages, but I'm not sure what they are.

Comment 26 Jeremy Rimpo 2014-10-20 17:03:57 UTC
Sorry, mistyped a digit. Bug#1154746